LIBNAME SCH V608 'TEMP:[SCRATCH.SCHI.INDO]';
OPTIONS NOCENTER LS=80;

DATA O0; SET SCH.INDO8188;
PROC SORT NODUP ; BY ID;

DATA OO0; SET O0; BY ID; IF FIRST.ID;
IF YEAR<1984 THEN PERI=0; IF YEAR>=1984 THEN PERI=1;

DATA OO1; MERGE OO0 O0; BY ID;

DATA OO; SET OO1;
IF CTGTCU=0 THEN DELETE;
IF ID=327306321130035 AND LTLNOU=113 THEN DELETE;
IF ID=331013382000029 AND LTLNOU=21  THEN DELETE;
IF KTSACU=0 THEN DELETE;
VAR=VA/VADFL;

PROC SORT; BY ID;
PROC MEANS NOPRINT SUM; BY ID;
        VAR KTSACU VAR; OUTPUT OUT=TOT SUM=KTSACU VAR;

DATA OO2; SET TOT; KAPVA=KTSACU/VAR;

DATA OO3; SET OO2; IF 0.30<KAPVA<10.00; KEEP ID KAPVA;

DATA SCH.OO4 ; MERGE OO3(IN=ONE) OO(IN=TWO); BY ID;
IF ONE=1 & TWO=1; OUTPUT;

ENDSAS;
